﻿@model PagedList.IPagedList<MvcWebsiteOcc.Areas.administrators.Models.CarModel>
@using MvcWebsiteOcc.Models;
@using PagedList.Mvc;

@{
    if (Localization.Get("lng") == "VI")
    {
        ViewBag.Title = "Danh sách xe";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    else
    {
        ViewBag.Title = "Our Cars";
        ViewBag.PageGroup = "";
        ViewBag.Cate = "";
    }
    Layout = "~/Views/Shared/_LayoutDetailPage.cshtml";
}

<script>

    $("#sanpham").addClass("current");

</script>
@helper Truncate(string input, int length)
{
    if (input.Length <= length)
    {
    @Html.Raw(input)
    }
    else
    {
        var thisString = input.Substring(0, length);
        var outView = string.Concat(thisString.Substring(0, thisString.LastIndexOf(' ')));
    @Html.Raw(outView)<text>...</text>
    }
}
<section class="page-section with-sidebar">
    <div class="container">
        <div class="row">
            <!-- CONTENT -->
            @{ if (Model.Count > 0)
               {
                   <div class="col-md-9 content car-listing" id="content">
                <!-- Car Listing -->
                @{foreach (var item in Model)
                  {
                    <div class="thumbnail no-border no-padding thumbnail-car-card tai_xe_details_check  clearfix">
                        <div class="media">
                            <a class="media-link" href="#">
                                <img class="img-responsive" src="/Uploaded/Images/dongxe/@item.Folder/@item.ModImage" alt="" />
                                @* <span class="icon-view"><strong><i class="fa fa-eye"></i></strong></span>*@
                            </a>
                        </div>
                        <div class="caption">
                            <div class="rating">
                                <span class="star"></span>
                                <span class="star active"></span>
                                <span class="star active"></span>
                                <span class="star active"></span>
                                <span class="star active"></span>
                            </div>
                            <h4 class="caption-title">
                                @item.ModName
                                @if (item.CarViewTypes.Where(p => p.ViewType == 1).Count() > 0)
                                {
                                    <span class="vip">VIP</span>
                                }
                            </h4>
                            @{if (item.ModPrice != 0)
                              {
                                <h5 class="caption-title-sub">@item.ModPrice.ToString("#,###") ₫ @Html.Localize("ngay")</h5>
                              }
                              else
                              {
                                <h5 class="caption-title-sub">Giá liên hệ</h5>
                              }}
                            <hr />
                            <div class="caption-text details_text  gioi_thieu_hidden">
                                @Html.Raw(item.ModDescription)
                            </div>
                            <table class="table">
                                <tr>
                                    @{if (item.ModBrand != null)
                                      {
                                        <td><i class="fa pd_right_4 fa-car"></i>@item.ModBrand</td>
                                      }
                                      else
                                      {
                                        <td><i class="fa pd_right_4 fa-car"></i>----</td>
                                      }
                                      if (item.ModYear != null)
                                      {
                                        <td><i class="fa pd_right_4 fa-dashboard"></i>@item.ModYear</td>
                                      }
                                      else
                                      {
                                        <td><i class="fa pd_right_4 fa-dashboard"></i>----</td>
                                      }
                                      if (item.TypeID != null)
                                      {
                                        <td><i class="fa pd_right_4 fa-users"></i>@System.Text.RegularExpressions.Regex.Match(item.CarType.TypeName, @"\d+").Value</td>
                                      }
                                      else
                                      {
                                        <td><i class="fa pd_right_4 fa-users"></i>--</td>
                                      }
                                    }
                                    <td class="buttons"><a class="btn btn-theme" href="/dat-xe?carID=@item.ModID">@Html.Localize("datxe")</a></td>
                                </tr>
                            </table>
                        </div>
                    </div>
                  }}

                <!-- /Car Listing -->

                <!-- Pagination -->
                <div class="pagination-wrapper">
                    @Html.PagedListPager(Model, page => Url.Action("view_by_cate", new { page }))
                </div>
                <!-- /Pagination -->

            </div>
               }
               else
               {
                <div class="col-md-9 content car-listing" id="content">

                    <!-- Car Listing -->

                    <div class="none_data">Dữ liệu đang cập nhật ! Cảm ơn bạn đã quan tâm !</div>
                </div>
               }
            }
            
            <!-- /CONTENT -->

            <!-- SIDEBAR -->
            @{Html.RenderAction("_right_sidebar_car", "common");}
        </div>
    </div>
</section>



